Items - Update Snowflake Database
Update properties of the Snowflake Database item.
Permissions
The caller must have read and write permissions for the snowflake database.
Required Delegated Scopes
Item.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
PATCH https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/snowflakeDatabases/{snowflakeDatabaseId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
snowflake
|
path | True |
string (uuid) |
The Snowflake Database ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
Request Body
| Name | Type | Description |
|---|---|---|
| description |
string |
The description of the Snowflake Database. |
| displayName |
string |
The display name of the Snowflake Database. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Update Snowflake Database example
Sample request
PATCH https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/snowflakeDatabases/123e4567-e89b-12d3-a456-426614174001
{
"displayName": "Updated Database",
"description": "This is an updated Snowflake Database item."
}
Sample response
{
"description": "This is an updated Snowflake Database item.",
"displayName": "Updated Database",
"id": "123e4567-e89b-12d3-a456-426614174001",
"properties": {
"snowflakeDatabaseName": "ExampleDatabase",
"onelakeTablesPath": "https://onelake.dfs.fabric.microsoft.com/path/to/Tables",
"snowflakeVolumePath": "https://onelake.dfs.fabric.microsoft.com/path/to/SnowflakeVolume",
"sqlEndpointProperties": {
"connectionString": "qvrmbuxie7we7glrekxgy6npqu-6xgyei3x2xiejip4iime6knh5m.datawarehouse.fabric.microsoft.com",
"id": "123e4567-e89b-12d3-a456-426614174004",
"provisioningStatus": "Success"
},
"defaultSchema": "PUBLIC"
},
"type": "SnowflakeDatabase",
"workspaceId": "cfafbeb1-8037-4d0c-896e-a46fb27ff229"
}
Definitions
| Name | Description |
|---|---|
|
Entire |
Represents a tenant principal |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Group |
Group specific details. Applicable when the principal type is |
|
Group |
Represents a security group. |
|
Group |
The type of the group. Additional group types may be added over time. |
|
Item |
Represents a tag applied on an item. |
|
Item |
The type of the item. Additional item types may be added over time. |
|
Principal |
The type of the principal. Additional principal types may be added over time. |
|
Provisioning |
SQL endpoint provisioning status. Additional statuses may be added over time. |
|
Sensitivity |
Represents a sensitivity label applied to an item. |
|
Service |
Service principal specific details. Applicable when the principal type is |
|
Service |
Represents a Microsoft Entra service principal. |
|
Service |
Service principal profile details. Applicable when the principal type is |
|
Service |
Represents a service principal profile. |
|
Snowflake |
A Snowflake Database item. |
|
Snowflake |
The Snowflake Database properties. |
|
Sql |
An object containing the properties of the SQL endpoint. |
|
Update |
Request payload for updating a Snowflake Database. |
|
User |
User principal specific details. Applicable when the principal type is |
|
User |
Represents a Microsoft Entra user principal. |
EntireTenantPrincipal
Represents a tenant principal
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| type |
string:
Entire |
The type of the principal. Additional principal types may be added over time. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
GroupDetails
Group specific details. Applicable when the principal type is Group.
| Name | Type | Description |
|---|---|---|
| groupType |
The type of the group. Additional group types may be added over time. |
GroupPrincipal
Represents a security group.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| groupDetails |
Group specific details. Applicable when the principal type is |
|
| id |
string (uuid) |
The principal's ID. |
| type |
string:
Group |
The type of the principal. Additional principal types may be added over time. |
GroupType
The type of the group. Additional group types may be added over time.
| Value | Description |
|---|---|
| Unknown |
Principal group type is unknown. |
| SecurityGroup |
Principal is a security group. |
| DistributionList |
Principal is a distribution list. |
ItemTag
Represents a tag applied on an item.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The name of the tag. |
| id |
string (uuid) |
The tag ID. |
ItemType
The type of the item. Additional item types may be added over time.
| Value | Description |
|---|---|
| Dashboard |
PowerBI dashboard. |
| Report |
PowerBI report. |
| SemanticModel |
PowerBI semantic model. |
| PaginatedReport |
PowerBI paginated report. |
| Datamart |
PowerBI datamart. |
| Lakehouse |
A lakehouse. |
| Eventhouse |
An eventhouse. |
| Environment |
An environment. |
| KQLDatabase |
A KQL database. |
| KQLQueryset |
A KQL queryset. |
| KQLDashboard |
A KQL dashboard. |
| DataPipeline |
A data pipeline. |
| Notebook |
A notebook. |
| SparkJobDefinition |
A spark job definition. |
| MLExperiment |
A machine learning experiment. |
| MLModel |
A machine learning model. |
| Warehouse |
A warehouse. |
| Eventstream |
An eventstream. |
| SQLEndpoint |
An SQL endpoint. |
| MirroredWarehouse |
A mirrored warehouse. |
| MirroredDatabase |
A mirrored database. |
| Reflex |
A Reflex. |
| GraphQLApi |
An API for GraphQL item. |
| MountedDataFactory |
A MountedDataFactory. |
| SQLDatabase |
A SQLDatabase. |
| CopyJob |
A Copy job. |
| VariableLibrary |
A VariableLibrary. |
| Dataflow |
A Dataflow. |
| ApacheAirflowJob |
An ApacheAirflowJob. |
| WarehouseSnapshot |
A Warehouse snapshot. |
| DigitalTwinBuilder |
A DigitalTwinBuilder. |
| DigitalTwinBuilderFlow |
A Digital Twin Builder Flow. |
| MirroredAzureDatabricksCatalog |
A mirrored azure databricks catalog. |
| Map |
A Map. |
| AnomalyDetector |
An Anomaly Detector. |
| UserDataFunction |
A User Data Function. |
| GraphModel |
A GraphModel. |
| GraphQuerySet |
A Graph QuerySet. |
| SnowflakeDatabase |
A Snowflake Database to store Iceberg tables created from Snowflake account. |
| OperationsAgent |
A OperationsAgent. |
| CosmosDBDatabase |
A Cosmos DB Database. |
| Ontology |
An Ontology. |
| EventSchemaSet |
An EventSchemaSet. |
| DataAgent |
A DataAgent. |
| MirroredCatalog |
A MirroredCatalog. |
| AppBackend |
An AppBackend. |
| DataBuildToolJob |
A DataBuildToolJob. |
PrincipalType
The type of the principal. Additional principal types may be added over time.
| Value | Description |
|---|---|
| User |
Principal is a Microsoft Entra user principal. |
| ServicePrincipal |
Principal is a Microsoft Entra service principal. |
| Group |
Principal is a security group. |
| ServicePrincipalProfile |
Principal is a service principal profile. |
| EntireTenant |
Principal represents all tenant users. |
ProvisioningStatus
SQL endpoint provisioning status. Additional statuses may be added over time.
| Value | Description |
|---|---|
| NotStarted |
The SQL endpoint provisioning is not started yet |
| InProgress |
The SQL endpoint provisioning is currently in progress. |
| Success |
The SQL endpoint has been successfully provisioned. |
| Failed |
The SQL endpoint provisioning has failed. |
SensitivityLabel
Represents a sensitivity label applied to an item.
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
The sensitivity label ID. |
ServicePrincipalDetails
Service principal specific details. Applicable when the principal type is ServicePrincipal.
| Name | Type | Description |
|---|---|---|
| aadAppId |
string (uuid) |
The service principal's Microsoft Entra AppId. |
ServicePrincipalPrincipal
Represents a Microsoft Entra service principal.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| servicePrincipalDetails |
Service principal specific details. Applicable when the principal type is |
|
| type |
string:
Service |
The type of the principal. Additional principal types may be added over time. |
ServicePrincipalProfileDetails
Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.
| Name | Type | Description |
|---|---|---|
| parentPrincipal | Principal: |
The service principal profile's parent principal. |
ServicePrincipalProfilePrincipal
Represents a service principal profile.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| servicePrincipalProfileDetails |
Service principal profile details. Applicable when the principal type is |
|
| type |
string:
Service |
The type of the principal. Additional principal types may be added over time. |
SnowflakeDatabase
A Snowflake Database item.
| Name | Type | Description |
|---|---|---|
| defaultIdentity | Principal: |
The item's default identity. |
| description |
string |
The item description. |
| displayName |
string |
The item display name. |
| folderId |
string (uuid) |
The folder ID. |
| id |
string (uuid) |
The item ID. |
| properties |
The Snowflake Database properties. |
|
| sensitivityLabel |
The item sensitivity label. |
|
| tags |
Item |
List of applied tags. |
| type |
The item type. |
|
| workspaceId |
string (uuid) |
The workspace ID. |
SnowflakeDatabaseProperties
The Snowflake Database properties.
| Name | Type | Description |
|---|---|---|
| connectionId |
string (uuid) |
The connection ID for the Snowflake Database. |
| defaultSchema |
string |
The default schema name for the Snowflake Database. |
| onelakeTablesPath |
string |
OneLake path to the Snowflake Database tables directory. |
| snowflakeAccountURL |
string |
The Snowflake account URL. |
| snowflakeDatabaseName |
string |
The Snowflake database name. |
| snowflakeVolumePath |
string |
OneLake path to the Snowflake Database files directory. |
| sqlEndpointProperties |
An object containing the properties of the SQL endpoint. |
SqlEndpointProperties
An object containing the properties of the SQL endpoint.
| Name | Type | Description |
|---|---|---|
| connectionString |
string |
SQL endpoint connection string. |
| id |
string |
SQL endpoint ID. |
| provisioningStatus |
SQL endpoint provisioning status. Additional statuses may be added over time. |
UpdateSnowflakeDatabaseRequest
Request payload for updating a Snowflake Database.
| Name | Type | Description |
|---|---|---|
| description |
string |
The description of the Snowflake Database. |
| displayName |
string |
The display name of the Snowflake Database. |
UserDetails
User principal specific details. Applicable when the principal type is User.
| Name | Type | Description |
|---|---|---|
| userPrincipalName |
string |
The user principal name. |
UserPrincipal
Represents a Microsoft Entra user principal.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| type |
string:
User |
The type of the principal. Additional principal types may be added over time. |
| userDetails |
User principal specific details. Applicable when the principal type is |